This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 648244 - Review Request: ghc-base64-bytestring - Fast base64 encoding and deconding for ByteStrings
Review Request: ghc-base64-bytestring - Fast base64 encoding and deconding fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: yesod
  Show dependency treegraph
 
Reported: 2010-10-31 12:48 EDT by Ben Boeckel
Modified: 2012-06-20 08:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-base64-bytestring-0.1.0.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 15:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bos: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-10-31 12:48:19 EDT
Spec URL: http://benboeckel.net/packaging/ghc-base64-bytestring/ghc-base64-bytestring.spec
SRPM URL: http://benboeckel.net/packaging/ghc-base64-bytestring/ghc-base64-bytestring-0.1.0.1-1.fc14.src.rpm
Description:
Fast base64 encoding and deconding for ByteStrings.

% lintmock fedora-14-x86_64-bb
ghc-base64-bytestring.src: W: spelling-error Summary(en_US) deconding -> seconding, decoding
ghc-base64-bytestring.src: W: spelling-error %description -l en_US deconding -> seconding, decoding
ghc-base64-bytestring.src: W: strange-permission ghc-base64-bytestring.spec 0640L
ghc-base64-bytestring.src: W: strange-permission base64-bytestring-0.1.0.1.tar.gz 0640L
ghc-base64-bytestring.x86_64: W: spelling-error Summary(en_US) deconding -> seconding, decoding
ghc-base64-bytestring.x86_64: W: spelling-error %description -l en_US deconding -> seconding, decoding
ghc-base64-bytestring-devel.x86_64: W: spelling-error Summary(en_US) deconding -> seconding, decoding
ghc-base64-bytestring-devel.x86_64: W: spelling-error %description -l en_US deconding -> seconding, decoding
ghc-base64-bytestring-prof.x86_64: E: devel-dependency ghc-base64-bytestring-devel
ghc-base64-bytestring-prof.x86_64: W: spelling-error Summary(en_US) deconding -> seconding, decoding
ghc-base64-bytestring-prof.x86_64: W: spelling-error %description -l en_US deconding -> seconding, decoding
ghc-base64-bytestring-prof.x86_64: W: no-documentation
ghc-base64-bytestring-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/base64-bytestring-0.1.0.1/libHSbase64-bytestring-0.1.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 12 warnings.
Comment 1 Bryan O'Sullivan 2010-11-18 21:57:57 EST
Spec file is not accessible.
Comment 2 Bryan O'Sullivan 2010-11-18 22:00:06 EST
Oh, and please read the lintmock output that you posted before you resubmit :-)

ghc-base64-bytestring.src: W: spelling-error Summary(en_US) deconding ->
seconding, decoding
Comment 4 Bryan O'Sullivan 2010-11-29 19:31:09 EST
Thanks, Ben. Looks good now.

-------------------------------------------------------
    This package (ghc-base64-bytestring) is
    APPROVED by bos
-------------------------------------------------------
Comment 5 Ben Boeckel 2010-11-30 01:34:27 EST
New Package CVS Request
=======================
Package Name: ghc-base64-bytestring
Short Description: Fast base64 encoding and deconding for ByteStrings
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 6 Jason Tibbitts 2010-11-30 10:17:24 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2010-12-01 21:22:23 EST
ghc-base64-bytestring-0.1.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-base64-bytestring-0.1.0.1-2.fc14
Comment 8 Fedora Update System 2010-12-01 21:22:30 EST
ghc-base64-bytestring-0.1.0.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-base64-bytestring-0.1.0.1-2.fc13
Comment 9 Fedora Update System 2010-12-02 14:10:36 EST
ghc-base64-bytestring-0.1.0.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-base64-bytestring'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-base64-bytestring-0.1.0.1-2.fc14
Comment 10 Fedora Update System 2010-12-10 15:24:32 EST
ghc-base64-bytestring-0.1.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-12-10 15:32:56 EST
ghc-base64-bytestring-0.1.0.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jens Petersen 2012-06-20 05:30:04 EDT
Package Change Request
======================
Package Name: ghc-base64-bytestring
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 13 Jon Ciesla 2012-06-20 08:03:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.